Package net.shibboleth.idp.saml.nameid

# Class NameIDCanonicalizationFlowDescriptor

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent
net.shibboleth.idp.authn.SubjectCanonicalizationFlowDescriptor
net.shibboleth.idp.saml.nameid.NameIDCanonicalizationFlowDescriptor

All Implemented Interfaces:
  `Predicate<ProfileRequestContext>`, `FlowDescriptor`, `Component`, `DestructableComponent`, `IdentifiableComponent`, `IdentifiedComponent`, `InitializableComponent`

Direct Known Subclasses:
  `AbstractNameIDCanonicalizer`

public class NameIDCanonicalizationFlowDescriptor extends SubjectCanonicalizationFlowDescriptor
A class used to describe flow descriptors for `NameIDPrincipal` and `NameIdentifierPrincipal` c14n. This adds the concept of formats to the base class.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Set<String>`
`formats`
Store Set of acceptable formats.

## Constructor Summary

Constructors
Constructor
Description
`NameIDCanonicalizationFlowDescriptor()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Collection<String>`
`getFormats()`
Return the set of acceptable formats.
`void`
`setFormats(Collection<String> theFormats)`
Sets the acceptable formats.

### Methods inherited from class net.shibboleth.idp.authn.SubjectCanonicalizationFlowDescriptor

`doInitialize, equals, getFlowId, hashCode, setActivationCondition, setFlowId, test, toString`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent

`setId`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent

`ensureId, getId, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.DestructableComponent

`destroy, isDestroyed`

### Methods inherited from interface net.shibboleth.shared.component.IdentifiableComponent

`setId`

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

### Methods inherited from interface net.shibboleth.shared.component.InitializableComponent

`initialize, isInitialized`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Field Details

### formats

@Nonnull private Set<String> formats
Store Set of acceptable formats.

## Constructor Details

### NameIDCanonicalizationFlowDescriptor

public NameIDCanonicalizationFlowDescriptor()
Constructor.

## Method Details

### getFormats

@Nonnull @Unmodifiable @NotLive public Collection<String> getFormats()
Return the set of acceptable formats.

Returns:
  Returns the formats. Never empty after initialization.

### setFormats

public void setFormats(@Nullable Collection<String> theFormats)
Sets the acceptable formats.

Parameters:
  `theFormats` - The formats to set.